//---------------------------------------------------------------------------
#include "vclx.h"
//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#include "propos_f.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
#ifdef PRFD_WINDOWS
#pragma resource "*.dfm"
#endif
#ifdef PRFD_LINUX
#pragma resource "*.xfm"
#endif
//---------------------------------------------------------------------------
TFormAPropos *FormAPropos=NULL;
//---------------------------------------------------------------------------
const AnsiString asTexte = "\
|\\      //          ||\n\
||\\    ||           ||\n\
||\\\\   ||           ||\n\
||//   ||_____      ||\n\
|//   /||_____\\     /|\n\
|/   //||   ||\\\\   //|\n\
||  // ||   || \\\\ //||\n\
|| //_ || _ ||  \\\\\\\\||\n\
||||/o\\||/o\\||   \\\\\\||\n\
||||\\_/||\\_/||    \\\\\\|\n\
===========================================================\n\
Bienvenue dans le programme ProFond.\n\
Outil de rsolution de problmes.\n\
Le langage ProFond est inspir de Prolog (simplifi).\n\n\
ProFond, PROgrammation FONDamentale.\n\
Version : 0.3.4\n\
Plateformes supportes : Windows, Linux.\n\
Ide & Programme : Patrice FOUQUET.\n\
ProFond est sous Licence GPL 2.0 (cf. fichier license.txt).\n\
ProFond est fourni sans aucune garantie.\n\
===========================================================";
void AProposDeProFond()
 {
  if (FormAPropos=new TFormAPropos(Application))
   try
    {
     FormAPropos->ShowModal();
    }
   __finally
    {
     delete FormAPropos;
     FormAPropos=NULL;
    }
 }

//---------------------------------------------------------------------------
__fastcall TFormAPropos::TFormAPropos(TComponent* Owner)
  : TForm(Owner)
{
 Pos=1;
}
//---------------------------------------------------------------------------

void __fastcall TFormAPropos::TimerTimer(TObject *Sender)
{
 if (Pos==1)
  {
   Timer->Interval=10;
   Memo->Lines->Clear();
  }
 if (Pos==300) Timer->Interval=50;
 if (Pos<=asTexte.Length())
  Memo->Lines->Text=Memo->Lines->Text+asTexte[Pos++];
 else
  Timer->Enabled=false;
}
//---------------------------------------------------------------------------

void __fastcall TFormAPropos::MenuItemAfficherToutClick(TObject *Sender)
{
 if (Timer->Enabled)
  {
   Timer->Enabled=false;
   Memo->Lines->Text=asTexte;
  }
}
//---------------------------------------------------------------------------

void __fastcall TFormAPropos::ChangerVitesseAffichageClick(
      TObject *Sender)
{
 if (Timer->Interval+((TComponent*)Sender)->Tag)
  Timer->Interval=Timer->Interval+((TComponent*)Sender)->Tag;
}
//---------------------------------------------------------------------------

void __fastcall TFormAPropos::MenuItemRecommencerClick(TObject *Sender)
{
 if (Timer->Enabled)
  Timer->Enabled=false;
 Memo->Lines->Clear();
 Pos=1;
 Timer->Enabled=true; 
}
//---------------------------------------------------------------------------

